package com.loveCoding.j20250426_java_basic;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo11
 * @description
 * @create 2025/4/26
 */
public class Demo11 {
    public static void main(String[] args) {
        /*
            1.百鸡问题，一只公鸡5元，
            1只母鸡3元，小鸡1元3只，
            要求用100元买100只鸡，要求计算除所有的采购方案。
         */
        for (int gong = 0; gong <20 ; gong++) {
            for (int mu = 0;  mu<33 ; mu++) {
                int xiao=100-gong-mu;
                if (xiao+gong+mu==100&&gong*5+mu*3+xiao/3.0==100){
                    System.out.println("公鸡："+gong+"只，"+"母鸡："+mu+"只,"+"小鸡："+xiao+"只。");
                    System.out.println("公鸡花："+gong*5+"元，"+"母鸡花："+mu*3+"元,"+"小鸡花："+xiao/3.0+"元。");
                }
            }
        }
    }
}
